View Issue Details

IDProjectCategoryLast Update
0020279AI War 2[All Projects] Crash/ExceptionSep 15, 2018 4:05 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.769-0.770 Thinking Long-Term 
Fixed in Version0.771 Cleanup Aisle 1 
Summary0020279: Exception in Helper_AddAssistLines
DescriptionI loaded this save game and send the nearby fleet to planet Tagl, and promptly hit a number of instances of

9/14/2018 5:58:20 PM
Error in thread for execution context 'executionContext'
NullReferenceException
Object reference not set to an instance of an object
===STACK FRAMES (with file info)===
FILE METHOD IL_OFFSET NATIVE_OFFSET LINE_NUMBER COLUMN_NUMBER
    Helper_AddAssistLines 103 305 0 0
    DoFactionStepLogic 2275 7119 0 0
    <DoWorldStepLogic>b__0 1 35 0 0
    DoForFactions 18 101 0 0
    DoWorldStepLogic 308 983 0 0
    Execute 101 243 0 0
===RAW STACK TRACE===
  at Arcen.AIW2.Core.Faction.Helper_AddAssistLines (Arcen.AIW2.Core.PlannedMetalFlow flow) [0x00067] in <d31067e598014ad999888e3f586f9599>:0
  at Arcen.AIW2.Core.Faction.DoFactionStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x008e3] in <d31067e598014ad999888e3f586f9599>:0
  at Arcen.AIW2.Core.World_AIW2+<>c__DisplayClass71_0.<DoWorldStepLogic>b__0 (Arcen.AIW2.Core.Faction faction) [0x00001] in <d31067e598014ad999888e3f586f9599>:0
  at Arcen.AIW2.Core.World_AIW2.DoForFactions (Arcen.AIW2.Core.Faction+ProcessorDelegate Processor) [0x00012] in <d31067e598014ad999888e3f586f9599>:0
  at Arcen.AIW2.Core.World_AIW2.DoWorldStepLogic (Arcen.AIW2.Core.ArcenSimContext Context) [0x00134] in <d31067e598014ad999888e3f586f9599>:0
  at Arcen.AIW2.External.SimExecution.Execute () [0x00065] in <0d71d3e035d749cdba2345fc375ded2b>:0
TagsNo tags attached.

Relationships

related to 0020283 resolvedx4000Bughunter Text error doesnot allow continue to play 

Activities

BadgerBadger

Sep 14, 2018 6:02 pm

manager  

saveDyson.save (1,584,909 bytes)

BadgerBadger

Sep 14, 2018 6:09 pm

manager   ~0049249

This is inconsistent though. I don't hit it every time I load the save and attack

x4000Bughunter

Sep 15, 2018 4:05 pm

administrator   ~0049281

Thanks!

* Fixed the various errors people were getting in Helper_AddAssistLines starting last build.

Issue History

Date Modified Username Field Change
Sep 14, 2018 6:02 pm BadgerBadger New Issue
Sep 14, 2018 6:02 pm BadgerBadger Status new => assigned
Sep 14, 2018 6:02 pm BadgerBadger Assigned To => x4000Bughunter
Sep 14, 2018 6:02 pm BadgerBadger File Added: saveDyson.save
Sep 14, 2018 6:09 pm BadgerBadger Note Added: 0049249
Sep 14, 2018 7:57 pm BadgerBadger Relationship added related to 0020283
Sep 15, 2018 4:05 pm x4000Bughunter Status assigned => resolved
Sep 15, 2018 4:05 pm x4000Bughunter Resolution open => fixed
Sep 15, 2018 4:05 pm x4000Bughunter Fixed in Version => 0.771 Cleanup Aisle 1
Sep 15, 2018 4:05 pm x4000Bughunter Note Added: 0049281